## com.blogspot.applications4android.comicreader.comictypes
Class ArchivedComic

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ComicParser
          com.blogspot.applications4android.comicreader.core.Comic
              com.blogspot.applications4android.comicreader.comictypes.IndexedComic
                  com.blogspot.applications4android.comicreader.comictypes.ArchivedComic

Direct Known Subclasses:
  AgentXComics, AmazingSuperpowers, BugComic, Buttersafe, Channelate, CtrlAltDel, CtrlAltDelSillies, DogHouseDiaries, FeyWinds, FreeFall, Goblins, GuComics, SpikedMath, SpudComics, StickyComics, TheBookOfBiff, TimeTrabble, Tundra, WaywardSons, WhiteNinja, YearlyArchivedComic, Zap

    public abstract class ArchivedComic

extends IndexedComic

Base class for all archived comics. For a comic to be decided as archived comic, it should have a webpage containing all comic urls which have been released so far

Field Summary
`protected java.lang.String[]` `mComicUrls` list of all comics

Fields inherited from class com.blogspot.applications4android.comicreader.comictypes.IndexedComic
`mBound, mLatestId`

Fields inherited from class com.blogspot.applications4android.comicreader.core.Comic
`DIALOG_DATE, DIALOG_NUMBER, mFirstUid, mLatestUid, mPrevSessionUid, NAV_CURRENT, NAV_FIRST, NAV_LATEST, NAV_LATEST_FORCE, NAV_NEXT, NAV_PREV_SESSION, NAV_PREVIOUS, NAV_RANDOM, PROPS, TYPE_CACHING, TYPE_FAVORITE, TYPE_LATEST, TYPE_PREV_SESSION, TYPE_PREVIEW`

Constructor Summary
`ArchivedComic()` Constructor

Method Summary
`protected void` `fetchAllComicUrls()` Fetch all the comic urls
`protected abstract java.lang.String[]` `getAllComicUrls(java.io.BufferedReader reader)` Main function responsible for parsing the archive url and generating the list of all comic urls.
`protected abstract java.lang.String` `getArchiveUrl()` Return the archive url
`protected int` `getFirstId()` Returns the first comic-id
`protected java.lang.String` `getFrontPageUrl()` Return the front page URL from where to get the latest comic URL.
`protected int` `getIdFromStripUrl(java.lang.String url)` Get the comic-id from strip URL
`protected java.lang.String` `getLatestStripUrl()` Gets the url for the latest strip
`java.lang.String` `getStripUrlFromId(int num)` Get the strip URL from the input comic-id.
`protected int` `parseForLatestId(java.io.BufferedReader reader)` Helper function to parse the latest comic's html page in order to get the latest comic id.
`protected Strip` `queryUid(java.lang.String uid)` Helper function to query for a strip and create if it doesn't exist

Methods inherited from class com.blogspot.applications4android.comicreader.comictypes.IndexedComic
`addException, dialogType, getBound, getCurrentId, getFirstStripUrl, getLatestId, getNextStripUrl, getPreviousStripUrl, getRandomStripUrl, urlsNotForCaching`

Methods inherited from class com.blogspot.applications4android.comicreader.core.Comic

`clearCache, clearHistory, currentHasImageText, currentTitleAsValidFilename, downloadCurrentStrip, getComicName, getComicWebPageUrl, getCurrentStrip, getDefaultZoom, getFirstStrip, getLatestStrip, getLatestStripForcefully, getLaunchType, getName, getNextStrip, getPreviousSessionStrip, getPreviousStrip, getRandomStrip, getStripFromUrl, hasPreviousSession, hasUid, isCurrentFavorite, isCurrentFirstStrip, isCurrentLatestStrip, navigateStrip, readOnlyUnread, readProperties, setCacheEnabled, setComicName, setCurrentAsFavorite, setDefaultZoom, setLaunchType, writeProperties`

Methods inherited from class com.blogspot.applications4android.comicreader.core.ComicParser
`htmlNeeded, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mComicUrls

    protected java.lang.String[] mComicUrls

  list of all comics

Constructor Detail

### ArchivedComic

    public ArchivedComic()

  Constructor

Method Detail

### getLatestStripUrl

    protected java.lang.String getLatestStripUrl()

  Description copied from class: `Comic`
  Gets the url for the latest strip

  Overrides:
    `getLatestStripUrl` in class `IndexedComic`
  Returns:
    url

### fetchAllComicUrls

    protected void fetchAllComicUrls()

  Fetch all the comic urls

### queryUid

    protected Strip queryUid(java.lang.String uid)

  Description copied from class: `Comic`
  Helper function to query for a strip and create if it doesn't exist

  Overrides:
    `queryUid` in class `Comic`
  Parameters:
    `uid` - key to be queried
  Returns:
    strip

### getFirstId

    protected int getFirstId()

  Description copied from class: `IndexedComic`
  Returns the first comic-id

  Overrides:
    `getFirstId` in class `IndexedComic`
  Returns:
    first comic-id

### parseForLatestId

    protected int parseForLatestId(java.io.BufferedReader reader)
                            throws ComicLatestException,
                                   java.io.IOException

  Description copied from class: `IndexedComic`
  Helper function to parse the latest comic's html page in order to get the latest comic id.

  Specified by:
    `parseForLatestId` in class `IndexedComic`
  Parameters:
    `reader` - reader from which to parse for latest id
  Returns:
    latest comic id
  Throws:
    `ComicLatestException`
    `java.io.IOException`

### getFrontPageUrl

    protected java.lang.String getFrontPageUrl()

  Description copied from class: `IndexedComic`
  Return the front page URL from where to get the latest comic URL.

  Specified by:
    `getFrontPageUrl` in class `IndexedComic`
  Returns:
    front page URL

### getStripUrlFromId

    public java.lang.String getStripUrlFromId(int num)

  Description copied from class: `IndexedComic`
  Get the strip URL from the input comic-id.

  Specified by:
    `getStripUrlFromId` in class `IndexedComic`
  Parameters:
    `num` - the comic-id
  Returns:
    the strip URL

### getIdFromStripUrl

    protected int getIdFromStripUrl(java.lang.String url)

  Description copied from class: `IndexedComic`
  Get the comic-id from strip URL

  Specified by:
    `getIdFromStripUrl` in class `IndexedComic`
  Parameters:
    `url` - comic url
  Returns:
    the comic-id

### getAllComicUrls

    protected abstract java.lang.String[] getAllComicUrls(java.io.BufferedReader reader)
                                                   throws java.io.IOException

  Main function responsible for parsing the archive url and generating the list of all comic urls.

  Parameters:
    `reader` - buffered reader from which to parse the comic urls.
  Returns:
    array of comic url strings
  Throws:
    `java.lang.Exception`
    `java.io.IOException`

### getArchiveUrl

    protected abstract java.lang.String getArchiveUrl()

  Return the archive url

  Returns:
    url